org.eclipse.gef.mvc.fx.providers

## Class GeometricOutlineProvider

- java.lang.Object
- - org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends Node>>
  - - org.eclipse.gef.mvc.fx.providers.GeometricOutlineProvider

All Implemented Interfaces:
  javax.inject.Provider<IGeometry>, IAdaptable.Bound<IVisualPart<? extends Node>>

Direct Known Subclasses:
  GeometricBoundsProvider

    public class GeometricOutlineProvider
    extends IAdaptable.Bound.Impl<IVisualPart<? extends Node>>
    implements Provider<IGeometry>

The `GeometricOutlineProvider` is a `Provider <IGeometry>` that returns an `IGeometry` that corresponds to the geometric outline of its host visual, i.e. it does not include the stroke of the visual or other visual properties (e.g. clip or effect). The `IGeometry` is specified within the local coordinate system of the host visual.

A `GeometricOutlineProvider` can be used to determine an `IGeometry` for a `GeometryNode`, a `Connection`, as well as the following JavaFX `Node` implementations:

- `Arc`
- `Circle`
- `CubicCurve`
- `Ellipse`
- `Line`
- `Path`
- `Polygon`
- `Polyline`
- `QuadCurve`
- `Rectangle`

### Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Constructor Summary

Constructors
Constructor and Description
`GeometricOutlineProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IGeometry` `get()`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeometricOutlineProvider

    public GeometricOutlineProvider()

### Method Detail

#### get

    public IGeometry get()

Specified by:
  `get` in interface `javax.inject.Provider<IGeometry>`